Robotics Systems Commons - Enhancement #163

remove boost functions in OrderedQueueDispatcherPool

01/04/2011 12:51 AM - J. Wienke

Status: Resolved
Priority: Normal
Assignee: J. Wienke
Category: Threading

Target version:

Start date: 01/04/2011
Due date:

% Done: 100%
Estimated time: 1.00 hour

Description

Instead use a real object-oriented interface. This also prevents problems of missing resources because boost functions bound to
instances functions disassociate member functions and member variables from the normal life cycle.

Associated revisions

Revision e199ab86 - 04/08/2011 05:55 PM - J. Wienke

provide an additional object oriented inteface for OrderedQueueDispatcherPool

fixes #163

History

#1 - 01/04/2011 12:57 AM - J. Wienke

- Target version set to 0.1

#2 - 01/05/2011 12:45 AM - J. Wienke

- Target version deleted (0.1)

Not that important for the current release.

#3 - 04/08/2011 05:19 PM - J. Wienke

- Status changed from New to In Progress

#4 - 04/08/2011 05:56 PM - J. Wienke

- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Fixed in r226
